From 0dbbee5bfff8816cddf86961bf4959192f62f1ff Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Sun, 8 Apr 2018 11:56:00 -0700
Subject: [PATCH] Remove some superfluous amcheck INCLUDE tests.

Repeating these tests adds unnecessary cycles, since no improvement in
test coverage is expected.

Cleanup from commit 8224de4f42ccf98e08db07b43d52fed72f962ebb.

Author: Peter Geoghegan
---
 contrib/amcheck/expected/check_btree.out | 20 +-------------------
 contrib/amcheck/sql/check_btree.sql      |  6 +-----
 2 files changed, 2 insertions(+), 24 deletions(-)

diff --git a/contrib/amcheck/expected/check_btree.out b/contrib/amcheck/expected/check_btree.out
index 2a06cce..ed80ac4 100644
--- a/contrib/amcheck/expected/check_btree.out
+++ b/contrib/amcheck/expected/check_btree.out
@@ -111,27 +111,9 @@ SELECT bt_index_parent_check('bttest_multi_idx', true);
  
 (1 row)
 
-SELECT bt_index_parent_check('bttest_multi_idx', true);
- bt_index_parent_check 
------------------------
- 
-(1 row)
-
--- repeat same checks with index made by insertions
+-- repeat expansive test for index built using insertions
 TRUNCATE bttest_multi;
 INSERT INTO bttest_multi SELECT i, i%2  FROM generate_series(1, 100000) as i;
-SELECT bt_index_check('bttest_multi_idx');
- bt_index_check 
-----------------
- 
-(1 row)
-
-SELECT bt_index_parent_check('bttest_multi_idx', true);
- bt_index_parent_check 
------------------------
- 
-(1 row)
-
 SELECT bt_index_parent_check('bttest_multi_idx', true);
  bt_index_parent_check 
 -----------------------
diff --git a/contrib/amcheck/sql/check_btree.sql b/contrib/amcheck/sql/check_btree.sql
index da2f131..4ca9d2d 100644
--- a/contrib/amcheck/sql/check_btree.sql
+++ b/contrib/amcheck/sql/check_btree.sql
@@ -65,15 +65,11 @@ COMMIT;
 SELECT bt_index_check('bttest_multi_idx');
 -- more expansive test for index with included columns
 SELECT bt_index_parent_check('bttest_multi_idx', true);
-SELECT bt_index_parent_check('bttest_multi_idx', true);
 
--- repeat same checks with index made by insertions
+-- repeat expansive test for index built using insertions
 TRUNCATE bttest_multi;
 INSERT INTO bttest_multi SELECT i, i%2  FROM generate_series(1, 100000) as i;
-SELECT bt_index_check('bttest_multi_idx');
 SELECT bt_index_parent_check('bttest_multi_idx', true);
-SELECT bt_index_parent_check('bttest_multi_idx', true);
-
 
 -- cleanup
 DROP TABLE bttest_a;
-- 
2.7.4

